GET /v1/executions/{id}
Get a single execution by ID

Path Parameters

id string required path
Execution ID

Responses

200 OK
application/json
code integer
data object
events object[]
Array of:
createdAt string
data object
eventType string
executionId string
id string
level string
message string
nodeId string
organizationId string
requestId string
runId string
title string
workflowId string
execution object
checkoutSessionId string
clientSafeMetadata object
createdAt string
externalRef string
finishedAt string
id string
idempotencyKey string
initiatedById string
initiatedByType string
orderId string
organizationId string
paymentStatus string
requestPayload object
responsePayload object
runId string
sourceEntityId string
sourceEntityType string
sourceSystem string
startedAt string
status string
Enum: awaiting_payment, payment_confirmed, workflow_queued, workflow_running, workflow_waiting, workflow_succeeded, workflow_failed, workflow_cancelled
statusReason string
updatedAt string
workflowId string
message string
message string
requestId string
400 Bad Request
curl -X GET 'https://api.example.com/v1/executions/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/executions/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/executions/string', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/executions/string", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "events": [      {        "createdAt": "<string>",        "data": "<object>",        "eventType": "<string>",        "executionId": "<string>",        "id": "<string>",        "level": "<string>",        "message": "<string>",        "nodeId": "<string>",        "organizationId": "<string>",        "requestId": "<string>",        "runId": "<string>",        "title": "<string>",        "workflowId": "<string>"      }    ],    "execution": {      "checkoutSessionId": "<string>",      "clientSafeMetadata": "<object>",      "createdAt": "<string>",      "externalRef": "<string>",      "finishedAt": "<string>",      "id": "<string>",      "idempotencyKey": "<string>",      "initiatedById": "<string>",      "initiatedByType": "<string>",      "orderId": "<string>",      "organizationId": "<string>",      "paymentStatus": "<string>",      "requestPayload": "<object>",      "responsePayload": "<object>",      "runId": "<string>",      "sourceEntityId": "<string>",      "sourceEntityType": "<string>",      "sourceSystem": "<string>",      "startedAt": "<string>",      "status": "awaiting_payment",      "statusReason": "<string>",      "updatedAt": "<string>",      "workflowId": "<string>"    },    "message": "<string>"  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I